require("config")
require("prototypes.prototype_utils")

-- make the resource piles stand away from each other a bit, so you could put a drill on each of them
-- it also makes them a bit bigger so the piles can be seen on map.
for _,the_resource in pairs(data.raw["resource"]) do
   the_resource.collision_box = {{ -1.4, -1.4}, {1.4, 1.4}}
end

-- NÖRF!
-- nerf the drills, so you can put more than 1 drill per pile only after a decent research routine
local bobs_drills = {
	["basic-mining-drill"]      = 1.49,
	["bob-mining-drill-1"]      = 1.49,
	["bob-mining-drill-2"]      = 1.49,
	["bob-mining-drill-3"]      = 1.49,
	["bob-mining-drill-4"]      = 1.49,
	["bob-area-mining-drill-1"] = 1.49,
	["bob-area-mining-drill-2"] = 1.49,
	["bob-area-mining-drill-3"] = 2.49,
	["bob-area-mining-drill-4"] = 3.49
}

for drill, area in pairs(bobs_drills) do
   if data.raw["mining-drill"][drill] then
		 data.raw["mining-drill"][drill].resource_searching_radius = area
	 end
end

-- end nerfing.


if override_normal_spawn then

	for _, resource in pairs(data.raw.resource) do
		add_peak(resource,{influence=-1000})
	end

	for _, spawner in pairs(data.raw["unit-spawner"]) do
		add_peak(spawner,{influence=-1000})
	end

	for _, turret in pairs(data.raw.turret) do
		if turret.subgroup == "enemies" then
			add_peak(turret,{influence=-1000})
		end
	end
end

data.raw["map-settings"]["map-settings"].enemy_expansion.enabled = not disableEnemyExpansion

if debug_items_enabled then
	-- data.raw["car"]["car"].max_health = 0x8000000
	-- data.raw["ammo"]["basic-bullet-magazine"].magazine_size = 1000
	-- data.raw["ammo"]["basic-bullet-magazine"].ammo_type.action[1].action_delivery[1].target_effects[2].damage.amount = 5000
end
