function fillDytechConfig()

	-- dytech is the only mod which is listed in the dependencies (info.json)
	-- so it is safe to use remote.interfaces (some resources are shared with bobs ores - so it's unsafe to check for those -> better use remote.interfaces)
	if remote.interfaces["DyTech-Core"] then
		config["stone"].size.starting = 5
	end

	if remote.interfaces["DyTech-Core"] then
		-- exotic ores
		config["gold-ore"] = {
			type="resource-ore",
			allotment=40,
			spawns_per_region={min=1, max=1},
			size={min=1, max=5, starting=0},
		}
		config["silver-ore"] = {
			type="resource-ore",
			allotment=40,
			spawns_per_region={min=1, max=1},
			size={min=1, max=5, starting=0},
		}

		config["lead-ore"] = {
			type="resource-ore",
			allotment=40,
			spawns_per_region={min=1, max=1},
			size={min=2, max=4, starting=1},
		}

		config["tin-ore"] = {
			type="resource-ore",
			allotment=40,
			spawns_per_region={min=1, max=1},
			size={min=3, max=7, starting=2},
		}

		config["tungsten-ore"] = {
			type="resource-ore",
			allotment=30,
			spawns_per_region={min=1, max=1},
			size={min=2, max=5, starting=0},
		}

		config["zinc-ore"] = {
			type="resource-ore",
			allotment=40,
			spawns_per_region={min=1, max=1},
			size={min=1, max=4, starting=1},
		}

		config["gems"] = {
			type="resource-ore",
			allotment=30,
			spawns_per_region={min=1, max=1},
			size={min=1, max=3, starting=0},
		}

		config["ardite-ore"] = {
			type="resource-ore",
			allotment=30,
			spawns_per_region={min=1, max=1},
			size={min=1, max=3, starting=0},
		}

		config["cobalt-ore"] = {
			type="resource-ore",
			allotment=30,
			spawns_per_region={min=1, max=1},
			size={min=2, max=5, starting=0},
		}
	end

	-- lava is added by DyTech-Machine
	if remote.interfaces["DyTech-Machine"] then
		config["lava-2800"] = {
			type="resource-liquid",
			allotment=25,
			spawns_per_region={min=1, max=1},
			size={min=2, max=4, starting=0},
		}

		config["lava-1400"] = {
			type="resource-liquid",
			allotment=25,
			spawns_per_region={min=1, max=1},
			size={min=2, max=4, starting=0},
		}

		config["lava-600"] = {
			type="resource-liquid",
			allotment=25,
			spawns_per_region={min=1, max=1},
			size={min=2, max=4, starting=1},
		}
	end

end
